# Indoor Air Quality sensor (wired version)

This repository contains all CAD files needed for making a Veles IAQ01 wired sensor:

* Hardware: KiCAD project (schematic, PCB and exported Gerbers)
* Firmware: STM32 IDE project
* Enclosure: FreeCAD project

This sensor which is part of wider family of Veles Smart Household sensors.

## Basic properties

### Measured values

* Carbon dioxide
* Temperature
* Relative humidity
* Volatile Organic Compounds (VOC)

### Connectivity

* RS-485 with Modbus

### Power requirements

* Input voltage: 5 - 30 V DC 

![IAQ wired sensor render](PCB/Project_Outputs/3D_MODEL/Images/iaq_wired_sensor.png)


## Veles Smart Household

Goal of this project is to create FOSS hardware and software platform for measuring various quantities, not only related to indoor air quality:

* temperature
* humidity
* atmospheric pressure
* carbon dioxide (CO2)
* carbon monoxide (CO)
* volatile organic compounds (VOC)
* particulate matter (PM - dust particles)
* light intensity
* soil moisture

... and some more!

Sensors are connected either via RS-485 Modbus or wirelessly to central unit. Wireless sensors are currently in development. Central unit may be any anything that can read from the bus: any computer with RS-485 to USB converter (e.g. Raspberry Pi) or an actual PLC. Readout of the sensor is possible via Modbus: either using your own favourite application or using your Python package.

**We want this to be community effort! Come help us make something great!**

### Other Smart Household repositories

WIP

## MODBUS Registers

### Input Registers

|Value|Register|
|---|---|
|CO2 			 | 30010|
|SHT4x 			 | 30011|
|RH SHT4x 		 | 30012|
|T SCD4x 		 | 30013|
|RH SCD4x 		 | 30014|
|T SHT4x SIGNED 	 | 30015|
|T SCD4x SIGNED 	 | 30016|

### Holding Registers

|Value|Register|
|---|---|
|LED ON 		 | 40001|
|LED BRIGHTNESS		 | 40002|
|LED SMOOTH		 | 40003|
|CO2 ALERT LIMIT1 	 | 40004|
|CO2 ALERT LIMIT2 	 | 40005|
|SCD4x T OFFSET	  	 | 40006|
|MODBUS ADDR  		 | 40007|

### Device Information Registers

|Value|Register|
|---|---|
|VENDOR NAME 		 | 30010|
|PRODUCT CODE 		 | 30011|
|REVISION 		 | 30012|
|PRODUCT NAME 		 | 30013|
|SERIAL NUMBER  	 | 30014|
